<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-map.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'uk',
  ),
  'this' => 
  array (
    0 => 'ds-map.map.php',
    1 => 'Ds\\Map::map',
  ),
  'up' => 
  array (
    0 => 'class.ds-map.php',
    1 => 'Ds\\Map',
  ),
  'prev' => 
  array (
    0 => 'ds-map.last.php',
    1 => 'Ds\\Map::last',
  ),
  'next' => 
  array (
    0 => 'ds-map.merge.php',
    1 => 'Ds\\Map::merge',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/ds/ds/map/map.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-map.map" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Map::map</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Map::map</span> &mdash; <span class="dc-title">Returns the result of applying a callback to each value</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-map.map-description">
  <h3 class="title">Опис</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Ds\Map::map</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code></span>): <span class="type"><a href="class.ds-map.php" class="type Ds\Map">Ds\Map</a></span></div>

  <p class="para rdfs-comment">
    Returns the result of applying a <code class="parameter">callback</code> function to
    each value of the map.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-ds-map.map-parameters">
  <h3 class="title">Параметри</h3>
  <dl>
   
    <dt><code class="parameter">callback</code></dt>
    <dd>
        <p class="para">
            <div class="methodsynopsis dc-description">
                <span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$key</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$value</code></span>): <span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span></div>

         </p>
         <p class="para">
            A <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> to apply to each value in the map.
         </p>

         <p class="para">
            The callable should return what the key will be mapped to in the
            resulting map.
        </p>
    </dd>

   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-map.map-returnvalues">
  <h3 class="title">Значення, що повертаються</h3>
  <p class="para">
    The result of applying a <code class="parameter">callback</code> to each value in
    the map.
  </p>
  <blockquote class="note"><p><strong class="note">Зауваження</strong>: 
    <p class="para">
        The keys and values of the current instance won&#039;t be affected.
    </p>
  </p></blockquote>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-map.map-examples">
  <h3 class="title">Приклади</h3>
  <div class="example" id="example-4215">
   <p><strong>Приклад #1 <span class="function"><strong>Ds\Map::map()</strong></span> example</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$map </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Map</span><span style="color: #007700">([</span><span style="color: #DD0000">"a" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #DD0000">"b" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #DD0000">"c" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">3</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$map</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">map</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$key</span><span style="color: #007700">, </span><span style="color: #0000BB">$value</span><span style="color: #007700">) { return </span><span style="color: #0000BB">$value </span><span style="color: #007700">* </span><span style="color: #0000BB">2</span><span style="color: #007700">; }));<br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$map</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>Поданий вище приклад виведе щось
схоже на:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">(
    [0] =&gt; Ds\Pair Object
        (
            [key] =&gt; a
            [value] =&gt; 2
        )

    [1] =&gt; Ds\Pair Object
        (
            [key] =&gt; b
            [value] =&gt; 4
        )

    [2] =&gt; Ds\Pair Object
        (
            [key] =&gt; c
            [value] =&gt; 6
        )

)
Ds\Map Object
(
    [0] =&gt; Ds\Pair Object
        (
            [key] =&gt; a
            [value] =&gt; 1
        )

    [1] =&gt; Ds\Pair Object
        (
            [key] =&gt; b
            [value] =&gt; 2
        )

    [2] =&gt; Ds\Pair Object
        (
            [key] =&gt; c
            [value] =&gt; 3
        )

)</pre>
</div>
   </div>
  </div>
 </div>



</div><?php manual_footer($setup); ?>